import {categoryDel, categoryList, categoryUpdate} from '@/api/job'

export default {
  namespaced: true,
  state: () => ({
    categoryList: [],
    wholeCategoryList: [],
  }),
  mutations: {},
  actions: {
    // 获取任务分类列表
    getCategoryList(ctx) {
      return new Promise((resolve, reject) => {
        categoryList().then(res => {
          let data = res.data
          let parents = data.filter(i => i.parentId === 0)
          parents.forEach(parent => {
            let children = data.filter(i => i.parentId === parent.id)
            if (children.length)
              parent.children = children
          })
          ctx.state.categoryList = parents
          ctx.state.wholeCategoryList = data
          resolve()
        })
      })
    },
    // 更新任务分类
    updateCategoey(ctx, data) {
      return new Promise((resolve, reject) => {
        categoryUpdate(data).then(res => {
          resolve()
          ctx.dispatch('getCategoryList')
        })
      })
    },
    // 删除任务分类
    delCategory(ctx, data) {
      return new Promise((resolve, reject) => {
        categoryDel(data).then(res => {
          resolve()
          ctx.dispatch('getCategoryList')
        })
      })
    },
  },
  getters: {}
}