let tags = localStorage.getItem('routerTags')
import router from "@/router";
export default {
  namespaced: true,
  state: () => ({
    menuOpen: false,
    tags: JSON.parse(tags || '[]'),
    inner: false,
  }),
  mutations: {
    toggleMenu(state) {
      state.menuOpen = !state.menuOpen
    },
    pushTags(state, tag) {
      if (tag.path === '/') return;
      if (state.tags.find(i => i.path === tag.path)) return;
      state.tags.push(tag)
      localStorage.setItem('routerTags', JSON.stringify(state.tags))
    },
    delTags(state, tag) {
      let index = state.tags.findIndex(i => i.path === tag.path)
      if (index < 0) return
      state.tags.splice(index, 1)
      let last = state.tags[state.tags.length - 1]
      router.push(last ? last.path : '/')
      localStorage.setItem('routerTags', JSON.stringify(state.tags))
    },
    checkInner(state, inner) {
      state.inner = inner
    }
  },
  actions: {},
  getters: {}
}